Subject: Re: bug#17381: _GL_ATTRIBUTE_PURE in dfa.h

From: Paul Eggert <[email-masked]>
Date: Wed, 30 Apr 2014 23:33:59 -0700

[email-masked] wrote:
> I have to copy the defines for it from dfa.c
> into dfa.h to make it compile.

It'd be better to move that stuff into custom.h, I expect.  Please see 
below.

> Are all the new routines in dfa.h needed by code in grep?

Yes, I'm afraid so.  We wouldn't have put them there otherwise.

> Can we try in the future to the gnulib-specific stuff out of the
> header?

In the long run it'd be better to have the header just work, so that you 
don't have to copy anything from dfa.c to dfa.h or vice versa, and so 
that you can just use grep's dfa.c and dfa.h with little or no change.

I emailed you something along those lines earlier this month; you can 
find a copy at <http://bugs.gnu.org/17157#61>.  If you'd like me to come 
up with a revised patch, which merges this into the latest gawk master, 
I can do that.